// classe représentant un étudiant de 2ème année à l'EISTI
public class Etudiant {

	private String nom;
	private String prenom;
	private int age;

	// specialité de l'étudiant en Ing2 
	private Specialite specialite;
	private double moyenne;

	public Etudiant(String _nom, String _prenom, int _age, 
		Specialite _specialite, double _moyenne) 
	{
		this.nom = _nom;
		this.prenom = _prenom;
		this.age = _age;
		this.specialite = _specialite;
		this.moyenne = _moyenne;
	}

	public String getNom() {
		return this.nom;
	}

	public String getPrenom() {
		return this.prenom;
	}

	public int getAge() {
		return this.age;
	}

	public Specialite getSpecialite() {
		return this.specialite;
	}

	public double getMoyenne() {
		return this.moyenne;
	}	

	public void setNom(String _nom) {
		this.nom = _nom;
	}

	public void setPrenom(String _prenom) {
		this.prenom = _prenom;
	}

	public void setAge(int _age) {
		this.age = _age;
	}

	public void setSpecialite(Specialite _specialite) {
		this.specialite = _specialite;
	}

	public void setMoyenne(double _moyenne) {
		this.moyenne = _moyenne;
	}

	public String toString() {
		return prenom + " " + nom + ", " + age + " ans,  specialite "
		+ specialite + ", " + moyenne + " de moyenne";
	}
}
